Récupérer le détail complet d'un instrument de paiement
curl --request GET \
--url https://egimgarsud.gimpayapp.com/api/v1/wallets/{referenceWallet} \
--header 'Authorization: Bearer <token>'import requests
url = "https://egimgarsud.gimpayapp.com/api/v1/wallets/{referenceWallet}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://egimgarsud.gimpayapp.com/api/v1/wallets/{referenceWallet}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"status": 123,
"timestamp": "2023-11-07T05:31:56Z",
"body": {
"id": 123,
"dateHeureCreation": "2023-11-07T05:31:56Z",
"codeNfc": "<string>",
"rib": "<string>",
"numeroCompte": "<string>",
"iban": "<string>",
"pan": "<string>",
"msisdn": "<string>",
"reference": "<string>",
"cvv": "<string>",
"codeClient": "<string>",
"dateExpiration": "<string>",
"idFidelite": 123,
"libelle": "<string>",
"idEmetteur": 123,
"refContributeurEmetteur": "<string>",
"refContributeurDemandeur": "<string>",
"nomReseauMonetique": "<string>",
"refUsagerProprietaire": "<string>",
"solde": 123,
"dateDerniereOperation": "2023-11-07T05:31:56Z",
"limiteJournaliere": 123,
"limiteHebdomadaire": 123,
"limiteMensuelle": 123,
"token": "<string>",
"numeroTelephone": "<string>",
"indicatif": "<string>",
"codeIso": "<string>",
"banque": "<string>"
}
}{
"message": "<string>",
"status": 123,
"timestamp": "2023-11-07T05:31:56Z",
"body": null
}{
"message": "<string>",
"status": 123,
"timestamp": "2023-11-07T05:31:56Z",
"body": null
}{
"message": "<string>",
"status": 123,
"timestamp": "2023-11-07T05:31:56Z",
"body": null
}{
"message": "<string>",
"status": 123,
"timestamp": "2023-11-07T05:31:56Z",
"body": null
}Instruments de paiement
Récupérer le détail complet d'un instrument de paiement
GET
/
api
/
v1
/
wallets
/
{referenceWallet}
Récupérer le détail complet d'un instrument de paiement
Authorizations
Jeton émis par POST /api/v1/auth/token.
Path Parameters
Référence GIMpay de l'instrument de paiement.
Response
Instrument collecté.
Enveloppe standard de toutes les réponses (sauf auth).
Message technique décrivant le résultat de l'appel.
Code de statut HTTP de la réponse.
Horodatage de la réponse.
Détail complet d'un instrument de paiement (GET /api/v1/wallets/{referenceWallet}). L'usager propriétaire n'est exposé que par sa référence (refUsagerProprietaire) ; la clé msisdn reproduit la typo du contrat.
Show child attributes
Show child attributes
⌘I